Search found 1893 matches

Go to advanced search

by Roy_043
Sat Oct 24, 2020 4:45 pm
Forum: Help on using FreeCAD
Topic: Filleted Text For Nameplate Casting
Replies: 7
Views: 201

Re: Filleted Text For Nameplate Casting

Similar to what @papyblaise suggested, you can sweep a triangle around the complete outline of the letter. I have used Part_Sweep. But the same principle should work in the PartDesign WB. 1) Use Part extrude with a taper angle That seems to be problematic. My guess is due to the splines in the outli...
by Roy_043
Sat Oct 24, 2020 4:15 pm
Forum: Help on using FreeCAD
Topic: About thickness problem???
Replies: 4
Views: 168

Re: About thickness problem???

xsuper9988 wrote:
Sat Oct 24, 2020 3:43 pm
How can i to do this?
Part_CheckGeometry
by Roy_043
Sat Oct 24, 2020 2:25 pm
Forum: Help on using FreeCAD
Topic: small grid thing won't disappear
Replies: 8
Views: 281

Re: small grid thing won't disappear

I think that it is unlikely that this is the Draft grid. For one thing it does not have the default appearance and colors of a Draft grid. The OP should post a file.
by Roy_043
Sat Oct 24, 2020 8:25 am
Forum: IFC
Topic: Building Part grid not freely editable in IFC import file
Replies: 5
Views: 194

Re: Building Part grid not freely editable in IFC import file

The trick removes the duplicate entries in the tree, there were never duplicate objects.
by Roy_043
Sat Oct 24, 2020 8:11 am
Forum: Help on using FreeCAD
Topic: Pad not merging
Replies: 15
Views: 371

Re: Pad not merging

Angular constraints are often advised to prevent flipping.
by Roy_043
Fri Oct 23, 2020 2:27 pm
Forum: IFC
Topic: Building Part grid not freely editable in IFC import file
Replies: 5
Views: 194

Re: Building Part grid not freely editable in IFC import file

1. Crash Behaviour Without a file it is hard to help you. It is not an issue that occurs with all BuildingParts. 2. Multiple Instance Object Behaviour Confirmed. You can fix this by dragging the rectangle and the structure directly nested in the BP out of the BP and dropping them on the top (docume...
by Roy_043
Fri Oct 23, 2020 1:41 pm
Forum: Draft, Arch & BIM
Topic: Better algorithm for creating pitched roof (probably)?
Replies: 9
Views: 359

Re: Better algorithm for creating pitched roof (probably)?

Draft has several geometry functions: import draftgeoutils draftgeoutils.geometry.findDistance(App.Vector(), [App.Vector(1,0,0), App.Vector(0,1,0)]) edge = App.ActiveDocument.Line.Shape.Edges[0] draftgeoutils.geometry.findDistance(App.Vector(), edge) To do this manually you can use the Draft_Dimensi...
by Roy_043
Fri Oct 23, 2020 10:37 am
Forum: Help on using FreeCAD
Topic: Scale error importing DXF with built-in importer
Replies: 4
Views: 160

Re: Scale error importing DXF with built-in importer

This is complex. For one thing the legacy importer obeys the Draft internal precision setting: Edit > Preferences... > Draft > General settings > Internal precision level You may want to crank that up from the default value of 6. You are correct in saying that the line segment is exactly 1.35 drawin...
by Roy_043
Fri Oct 23, 2020 7:36 am
Forum: Draft, Arch & BIM
Topic: Better algorithm for creating pitched roof (probably)?
Replies: 9
Views: 359

Re: Better algorithm for creating pitched roof (probably)?

Thanks for those links. I'll try to look at them, but this stuff may prove to be over my head. Keep in mind that the current algorithm supports gables, and roof segments with different angles based on consecutive parallel edges. Also the roof segments need not connect at the top. In other words: the...
by Roy_043
Thu Oct 22, 2020 3:51 pm
Forum: Help on using FreeCAD
Topic: Scale error importing DXF with built-in importer
Replies: 4
Views: 160

Re: Scale error importing DXF with built-in importer

There is something wrong with the DXF. The MEASUREMENT is 0 (zero), which indicates imperial units. The legacy importer ignores this setting but the new importer does not. But obviously the new importer does not get it right. It uses a wrong factor (1/25.4 instead of 25.4) PR: https://github.com/Fre...

Go to advanced search